package io.github.null2264.tsukumogami.bot

import co.touchlab.kermit.Logger
import io.github.null2264.tsukumogami.bot.core.di.appModule
import io.github.null2264.tsukumogami.bot.core.module.DeveloperModule
import io.github.null2264.tsukumogami.bot.core.module.GeneralModule
import io.github.null2264.tsukumogami.bot.core.Bot
import org.koin.core.context.GlobalContext.startKoin

suspend fun main() {

    startKoin {
        modules(appModule)
    }

    Bot {
        Logger.setTag("Tsukumogami")

        token = System.getenv("DISCORD_TOKEN")

        prefixes("src!", "mm!") // mm! for backwards compatibility

        extensions(::DeveloperModule, ::GeneralModule)
    }.start()
}
